# Copyright (C) 2013-2017, 2021 Vincent Forest (vaplv@free.fr)
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

set(VERSION_MAJOR 0)
set(VERSION_MINOR 8)
set(VERSION_PATCH 0)
set(PACKAGE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

if(NOT PACKAGE_FIND_VERSION
   OR PACKAGE_VERSION VERSION_EQUAL PACKAGE_FIND_VERSION)
  set(PACKAGE_VERSION_COMPATIBLE TRUE)
  set(PACKAGE_VERSION_EXACT TRUE)
  set(PACKAGE_VERSION_UNSUITABLE FALSE)
  return()
endif(NOT PACKAGE_FIND_VERSION
      OR PACKAGE_VERSION VERSION_EQUAL PACKAGE_FIND_VERSION)

if(NOT VERSION_MAJOR VERSION_EQUAL PACKAGE_FIND_VERSION_MAJOR)
  set(PACKAGE_VERSION_COMPATIBLE FALSE)
  set(PACKAGE_VERSION_EXACT FALSE)
  set(PACKAGE_VERSION_UNSUITABLE TRUE)
  return()
endif(NOT VERSION_MAJOR VERSION_EQUAL PACKAGE_FIND_VERSION_MAJOR)

if(VERSION_MINOR VERSION_LESS PACKAGE_FIND_VERSION_MINOR)
  set(PACKAGE_VERSION_COMPATIBLE FALSE)
  set(PACKAGE_VERSION_EXACT FALSE)
  set(PACKAGE_VERSION_UNSUITABLE TRUE)
  return()
endif(VERSION_MINOR VERSION_LESS PACKAGE_FIND_VERSION_MINOR)

if(VERSION_MINOR VERSION_EQUAL PACKAGE_FIND_VERSION_MINOR )
  if(VERSION_PATCH VERSION_LESS PACKAGE_FIND_VERSION_PATCH)
    set(PACKAGE_VERSION_COMPATIBLE FALSE)
    set(PACKAGE_VERSION_EXACT FALSE)
    set(PACKAGE_VERSION_UNSUITABLE TRUE)
    return()
  endif()
endif()

set(PACKAGE_VERSION_COMPATIBLE TRUE)
set(PACKAGE_VERSION_EXACT FALSE)
set(PACKAGE_VERSION_UNSUITABLE FALSE)
